%define pkg_name        XML-RegExp
%define pkg_version     0.03
%define rpm_pkg_version 0.03
%define rpm_pkg_release 5.n0i.7

Summary:       Regular expressions for XML tokens
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TJ/TJMATHER/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This package contains regular expressions for the following XML tokens:
BaseChar, Ideographic, Letter, Digit, Extender, CombiningChar, NameChar,
EntityRef, CharRef, Reference, Name, NmToken, and AttValue.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 0.03-5.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- rebuild on perl 5.8.8

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 0.03-4.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.03-3.n0i.5
- rebuild (FC4)

* Thu Dec 02 2004 Marius FERARU <altblue@n0i.net> 0:0.03-2.n0i.4
- rebuild (perl 5.8.6)

* Tue May 11 2004 Marius Feraru <altblue@n0i.net> 0:0.03-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:0.03-0.n0i.2
- rebuild (perl 5.8.3)

* Wed Dec 31 2003 Marius FERARU <altblue@n0i.net> 0:0.03-0.n0i.1
- version 0.03
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
